# Generated by Django 2.0.2 on 2018-02-28 00:43

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Cart',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de creación')),
                ('estado', models.CharField(choices=[('pe', 'Pendiente'), ('pa', 'Pagado')], default='pe', max_length=2, verbose_name='Estado del Pedido')),
            ],
            options={
                'verbose_name': 'Pedido',
                'verbose_name_plural': 'Pedidos',
            },
        ),
        migrations.CreateModel(
            name='Item',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('precio', models.DecimalField(decimal_places=2, max_digits=18, verbose_name='Precio')),
                ('id_curso', models.IntegerField(verbose_name='ID')),
                ('cart', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='cart.Cart', verbose_name='Pedido')),
            ],
        ),
    ]
